/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumFunctioninputtype implements EnumType {

    numeric_parameter("numeric parameter"),

    variable_itself("variable itself"),

    list_of_variables("list of variables"),

    variable_start("variable start"),

    variable_end("variable end"),

    variable_observer("variable observer"),

    variable_device("variable device"),

    variable_reader("variable reader"),

    text_parameter("text parameter"),

    variable_other("variable other"),

    list_other("list other");

    private final String literal;

    private EnumFunctioninputtype(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_functioninputtype";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumFunctioninputtype lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumFunctioninputtype.class, literal);
    }
}
